Table of Contents

_________________________________________________________________

## NAME

Mged - create and manipulate an mged widget.

## SYNOPSIS

Mged pathName dbFile ?options?

## INHERITANCE

itk::Archetype <- itk::Widget <- Panedwindow <- QuadDisplay <- Mged

## STANDARD OPTIONS

  background cursor

See the "options" manual entry for details on the standard options.

## ASSOCIATED OPTIONS

Options associated with Db:

  dbfile

Options associated with Display:

  rscale sscale type

## INHERITED OPTIONS

Options inherited from itk::Archetype:

  clientdata

Options inherited from Panedwindow:

  height orient sashborderwidth sashcursor sashheight sashwidth sashindent thickness width

Options inherited from QuadDisplay:

  multi_pane pane

## WIDGET-SPECIFIC OPTIONS

None

## DESCRIPTION

The Mged command creates a new window (given by the pathName argument) and makes it into an Mged widget. The Mged widget has an associated database object, which enables it to interact with a database. Additional options, described above, may be specified on the command line or in the option database to configure aspects of the Mged widget. The Mged command returns its pathName argument. At the time this command is invoked, there must not exist a window named pathName, but pathName's parent must exist.

## METHODS

The Mged command creates a new Tcl command whose name is pathName. This command may be used to invoke various operations on the mged widget. It has the following general form:

pathName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for mged widgets:

### BUILT-IN METHODS

  isa info

### ASSOCIATED METHODS

Methods associated with LIBDM's display manager object:

  bg light linestyle linewidth listen perspective zbuffer zclip

Methods associated with LIBRT's view object:

  aet center rot size slew tra zoom

Methods associated with Dm:

  fb_active fb_observe

Methods associated with Display:

  add attach_drawable attach_view autoview contents detach_drawable detach_view refresh remove rt rtcheck

Methods associated with LIBRT's database object:

  adjust c cat color comb concat cp dbip dump dup expand find form g get i keep kill killall killtree l listeval ls match mv mvall open paths prcolor push put r rm rt_gettrees title tol tops tree whatid whichair whichid

Methods associated with LIBRT's drawable geometry object:

  blast clear draw erase erase_all ev get_autoview get_dgname illum label overlay report rt rtcheck vdraw who zap

### INHERITED METHODS

Methods inherited from Archetype:

  cget component configure

Methods inherited from Panedwindow:

  add childsite delete fraction hide index insert paneconfigure reset show

Methods inherited from QuadDisplay:

  addall attach_drawableall attach_viewall autoviewall default_views detach_drawableall tach_viewall pane multi_pane refreshall removeall resetall

### WIDGET-SPECIFIC METHODS

pathName opendb ?dbfile?
  See LIBRT's database object's open method.

pathName report_on_drawable ?level?
  See LIBRT's drawable geometry object's report method.

## EXAMPLE

cwish> Mged .mged moss.g -width 400 -height 400
.mged
cwish> pack .mged -expand yes -fill both
cwish> .mged draw all.g
cwish> .mged pane
ur
cwish> .mged multi_pane 0
cwish> .mged multi_pane 1

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- STANDARD OPTIONS
- ASSOCIATED OPTIONS
- INHERITED OPTIONS
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- ASSOCIATED METHODS
- INHERITED METHODS
- WIDGET-SPECIFIC METHODS
- EXAMPLE
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS